/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package phonebook;

/**
 *
 * @author apple
 */
public class PersonImpl implements Person{
    private String name, surname;

    public PersonImpl(String name, String surname) {
        this.name = name;
        this.surname = surname;
    }



    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }


    public int compareTo(Person o) {
        String person1 = this.surname + this.name;
        String person2 = o.getSurname() + o.getName();
        return person1.compareToIgnoreCase(person2);
    }

    public String toString(){
        return name +" " + surname;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final PersonImpl other = (PersonImpl) obj;
        if ((this.name == null) ? (other.name != null) : !this.name.equals(other.name)) {
            return false;
        }
        if ((this.surname == null) ? (other.surname != null) : !this.surname.equals(other.surname)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 83 * hash + (this.name != null ? this.name.hashCode() : 0);
        hash = 83 * hash + (this.surname != null ? this.surname.hashCode() : 0);
        return hash;
    }

    

}
