/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package phonebook;

/**
 *
 * @author apple
 */
public interface PhoneBookStore {
    /**
     * Stores phone book in the form:
     * <person1>
     * <address1>:<phone1>;...;<addressn>:<phonen>
     * <person2>
     * <address1>:<phone1>;...;<addressn>:<phonen>
     * @param filename name of the file used to store the data.
     * @throws PhoneBookException encapsulates all IOExceptions.
     */
    void store(String filename)throws PhoneBookException;
    /**
     * Loads phone from file with structure described in the store method
     * @param param filename name of the file with data.
     * @throws PhoneBookException encapsulates all IOExceptions.
     */
    void load(String filename) throws PhoneBookException;
}
