/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package phonebook;

/**
 *
 * @author apple
 */
public class PhoneImpl implements Phone {

    private String address, number;

    public PhoneImpl(String address, String number) {
        this.address = address;
        this.number = number;
    }


    public String getAddress() {
        return address;
    }

    public String getNumber() {
        return number;
    }

    public String toString(){
        return address+": "+number;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final PhoneImpl other = (PhoneImpl) obj;
        if ((this.address == null) ? (other.address != null) : !this.address.equals(other.address)) {
            return false;
        }
        if ((this.number == null) ? (other.number != null) : !this.number.equals(other.number)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 61 * hash + (this.address != null ? this.address.hashCode() : 0);
        hash = 61 * hash + (this.number != null ? this.number.hashCode() : 0);
        return hash;
    }

    

}
